* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --primary-color: #f0e423;
    --secondary-color: #0503ee;
    --soap-color: #ea656c;
    --dust-color: #fefde7;
    --water-color: #8c9cbe;
    --light-color: #e6e3d2;
}

body {
    margin: 0;
    font-family: "Saira", sans-serif;
    font-optical-sizing: auto;
}

.site {
    min-height: 100dvh;
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: minmax(0, 1fr);
}

ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

/*----------------------------- FONTS -----------------------------*/

h1 {
    font-weight: 900;
    font-size: clamp(50px, 5vw, 75px);
    color: var(--secondary-color);
    line-height: clamp(40px, 5vw, 75px);
}

h2 {
    font-weight: 800;
    font-size: clamp(16px, 3vw, 35px);
    color: white;
    line-height: clamp(20px, 3vw, 35px);
}

p {
    color: black;
    font-weight: 600;
    font-size: clamp(16px, 2vw, 24px);
    padding-bottom: 35px;
    line-height: clamp(24px, 2vw, 30px);
}


/*----------------------------- BUTTONS -----------------------------*/

.btn-primary {
    text-decoration: none;
    border: none;
    border-radius: 5px;
    color: var(--secondary-color);
    background: var(--primary-color);
    font-size: 16px;
    font-weight: 800;
    padding: 5px 20px;
    margin: 0px 5px;
    letter-spacing: 1px;
}

.btn-primary:hover {
    color: var(--soap-color);
    background: white;
}

.btn-secondary {
    text-decoration: none;
    border: none;
    border-radius: 5px;
    color: var(--primary-color);
    background: var(--secondary-color);
    font-size: 30px;
    font-weight: 800;
    padding: 5px 20px;
    letter-spacing: 1px;
}

.btn-secondary:hover {
    color: var(--secondary-color);
    background: var(--soap-color);
}

/* HEADER */

header {
    background-color: var(--soap-color);
    color: white;
    z-index: 999;
    position: sticky;
    top: 0;
}

header .container {
    width: 90%;
    margin: auto;
}

/*----------------------------- NAVIGATION -----------------------------*/

.nav {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo {
    position: relative;
}

.logo img {
    padding-top: 70px;
    width: 200px;
}

.logo-hover {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: 0.s;
}

.logo-hover:hover {
    opacity: 1;
}

.topbar {
    height: 60px;
    width: auto;
    display: flex;
}

.menu-btn {
    max-width: 400px;
    height: 40px;
    margin: 10px;
    display: flex;
    align-items: center;
}

.menu-icon {
    max-width: 300px;
    height: 40px;
    margin: 10px;
    display: flex;
    align-items: center;
    gap: 20px;
}

.menu-icon li a {
    text-decoration: none;
    color: white;
}

.menu-icon i {
    color: var(--secondary-color);
    transition: 0.1s;
}

.menu-icon i:hover {
    color: white;
}

.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background: #ea656ca3;
    backdrop-filter: blur(10px);
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.sidebar li {
    width: 100%;
    padding: 10px 15px;
}

.sidebar li:hover {
    background: var(--secondary-color);
}

.sidebar-btn {
    color: white;
    font-weight: 800;
    font-size: 16px;
    letter-spacing: 2px;
}

.menu-button {
    display: none;
}

.close-button {
    cursor: pointer;
}

/* HERO */

.hero {
    height: 1020px;
    width: 100%;
    background: linear-gradient(
        to right,
        #8c9cbe 0%,
        #8c9cbe 50%,
        #e6e3d2 50%,
        #e6e3d2 100%
    );
    display: flex;
    justify-content: center;
}

.hero .container {
    width: 1920px;
    height: auto;
    background: url(hero-background.png) no-repeat;
    display: flex;
    justify-content: space-between;
}

.hero-overlay {
    display: none;
}

.hero-left {
    width: 400px;
    height: 1020px;
}

.hero-right {
    width: 800px;
    height: 1020px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.btd-logo {
    width: 80%;
    height: auto;
}

.btd-logo img {
    object-fit: cover;
    width: 100%;
}

.btd-wishlist {
    width: 25%;
    height: auto;
    z-index: 5;
}

.btd-wishlist img {
    object-fit: cover;
    width: 100%;
    cursor: pointer;
    transition: 0.1s;
    animation: rotate 20s linear infinite;
}

.btd-wishlist img:hover {
    animation: rotate 1s linear infinite;
    width: 110%;
}

/* INTRO */

.intro {
    height: 1080px;
    width: 100%;
    background: linear-gradient(#8c9cbe, #e6e3d2);
    display: flex;
    justify-content: center;
    overflow-x: hidden;
}

.intro .container {
    height: 100%;
    width: 1920px;
    background: url(intro-background.png) no-repeat;
    display: flex;
    background-position: center;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

.intro-left {
    height: 90%;
    width: 800px;
    justify-items: center;
    align-content: center;
    padding-top: 20px;
}

.intro-right {
    height: 90%;
    width: 800px;
    justify-items: end;
    align-content: flex-end;
}

.intro-left .content-left {
    width: 90%;
    height: 100%;
}

.intro-right .content-right {
    width: 326px;
    height: 132px;
    background: url(More-Intro.png);
}

/* CARD1 */

.card1 {
    height: 1080px;
    width: 100%;
    background: var(--light-color);
    justify-items: center;
    align-content: center;
}

.card1 .container {
    height: 1080px;
    width: 100%;
    background: url(card1-bg.png) no-repeat;
    display: flex;
    background-position: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.card1-left {
    height: 50%;
    width: 800px;
    justify-items: center;
    align-content: center;
    overflow: hidden;
}

.video-card {
    width: 100%;
    border: 3px solid var(--secondary-color);
    border-radius: 15px;
    box-shadow: 20px 15px var(--secondary-color);
}

.card1-right {
    height: 50%;
    width: 800px;
    justify-items: center;
}

.card1-left .content-left {
    width: 90%;
    height: 90%;
    align-content: center;
    justify-items: center;
}

.card1-right .content-right {
    width: 90%;
    height: 90%;
}

/* CARD2 */

.card2 {
    height: 1080px;
    width: 100%;
    background: var(--light-color);
    justify-items: center;
}

.card2 .container {
    height: 1080px;
    width: 100%;
    background: url(card2-bg.png) no-repeat;
    display: flex;
    background-position: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.card2-left {
    height: 50%;
    width: 800px;
    justify-items: center;
    align-content: center;
}

.card2-right {
    height: 50%;
    width: 800px;
    justify-items: center;
    align-content: center;
}

.card2-left .content-left {
    width: 90%;
    height: 90%;
    text-align: end;
}

.card2-right .content-right {
    width: 90%;
    height: 90%;
    align-content: center;
    justify-items: center;
}

/* ABOUT */

.about {
    height: 1080px;
    width: 100%;
    background: var(--light-color);
    justify-items: center;
}

.about .container {
    height: 1080px;
    width: 100%;
    background: url(about-bg.png) no-repeat;
    display: flex;
    background-position: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.about-left {
    height: 50%;
    width: 600px;
    justify-items: center;
    align-content: center;
}

.about-right {
    height: 50%;
    width: 800px;
    justify-items: center;
    align-content: center;
}

.about-left .content-left {
    width: 90%;
    height: 90%;
    border: 3px solid var(--secondary-color);
    border-radius: 15px;
    box-shadow: 20px 15px var(--secondary-color);
}

.about-right .content-right {
    width: 90%;
    height: 90%;
}

.about-profile {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 12px;
}

/* GALLERY */

.gallery {
    background: var(--light-color);
    height: 1080px;
    width: 100%;
    display: flex;
    justify-content: center;
}

.gallery .container {
    background: url(gallery-bg.png) no-repeat;
    height: 100%;
    width: 1920px;
    display: flex;
    background-position: center;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;

}

.gallery-wrap {
    width: 80%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.gallery-logo {
    width: 80%;
    height: auto;
}

.gallery-logo img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.carousel {
    height: 400px;
    width: 100%;
    overflow-x: auto;
    display: flex;
    gap: 1em;
    scroll-behavior: smooth;
    anchor-name: --carousel;
    scroll-snap-type: x mandatory;
}

.carousel::-webkit-scrollbar {
    display: none;
}

.carousel::scroll-button(right), .carousel::scroll-button(left) {
    content: '>';
    border: none;
    background-color: var(--secondary-color);
    color: var(--primary-color);
    font-size: 40px;
    font-weight: 600;
    height: 80px;
    width: 80px;
    border-radius: 50%;
    padding-bottom: .1rem;
    cursor: pointer;
    position: fixed;
    position-anchor: --carousel;
    position-area: right center;
    translate: -50%;
}

.carousel::scroll-button(left) {
    content: "<";
    position-area: left center;
    translate: 50%;
}

.carousel::scroll-button(right):disabled, .carousel::scroll-button(left):disabled {
    background-color: var(--water-color);
    color: var(--dust-color);
}

.card {
    scroll-snap-align: start;
    flex: 0 0 532px;
    height: 400px;
    background: rgb(244, 186, 99);
    border-radius: 20px;
    flex: 0 0 32.7%;
}

.card img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 20px;
}

.gallery-desc {
    width: 100%;
    height: 10%;
}


/* FOOTER */

footer {
    background: var(--light-color);
    height: 440px;
    width: 100%;
    display: flex;
    justify-content: center;
}

footer .container {
    height: 440px;
    width: 1920px;
    background: url(footer-bg.png) no-repeat;
    display: flex;
    background-position: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.footer-content {
    height: 300px;
    width: 90%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.footer-box {
    width: 30%;
    height: 90%;
    padding: 5px 10px;
}

.footer-box p, li, a {
    font-weight: 500;
    color: black;
    font-size: clamp(8px, 2vw, 15px);
    line-height: px;
    border: none;
    text-decoration: none;
    list-style-type: none;
}

.footer-box h3 {
    background: var(--water-color);
    font-weight: 800;
    font-size: clamp(15px, 2vw, 30px);
    color: rgb(255, 255, 255);
    line-height: clamp(20px, 3vw, 35px);
    margin-bottom: 10px;
    padding: 10px 15px;
    display: inline-block;
}

.footer-box p {
    background: var(--dust-color);
    padding-bottom: 0px;
    padding: 4px 10px;
}

.footer-box li {
    margin-top: 15px;
}

.footer-box a {
    background: var(--dust-color);
    padding: 4px 10px;
}

.footer-btn:hover {
    background: var(--secondary-color);
    color: var(--primary-color);
}

/* NEWS */

.news {
    height: auto;
    width: 100%;
    background: var(--light-color);
    justify-items: center;
    align-content: center;
}

.news .container {
    height: auto;
    width: 100%;
    background: var(--light-color);
    display: flex;
    background-position: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 50px 0px;
}

.news-left {
    height: 100%;
    width: 800px;
    justify-items: center;
    align-content: center;
    /* overflow: hidden; */
}

.news-right {
    padding-top: 20px;
    height: 100%;
    width: 800px;
    justify-items: center;
}

.news-left .content-left {
    width: 90%;
    height: 90%;
    align-content: center;
    justify-items: center;
}

.news-right .content-right {
    width: 90%;
    height: 90%;
}

.news h1 {
    margin-bottom: 20px
}

.content-img {
    width: 100%;
    object-fit: cover;
    border: 3px solid var(--secondary-color);
    border-radius: 15px;
    box-shadow: 20px 15px var(--secondary-color);
}

/* JOBS */

.jobs {
    height: auto;
    width: 100%;
    background: var(--light-color);
    justify-items: center;
    align-content: center;
}

.jobs .container {
    height: auto;
    width: 100%;
    background: var(--light-color);
    display: flex;
    background-position: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 50px 0px;
}

.jobs-left {
    height: 100%;
    width: 800px;
    justify-items: center;
    align-content: center;
    /* overflow: hidden; */
}

.jobs-right {
    height: 100%;
    width: 800px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.jobs-left .content-left {
    width: 90%;
    height: 90%;
    align-content: start;
    justify-items: start;
}

.jobs-right .content-right {
    width: 90%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.jobs h1 {
    margin-bottom: 20px;
}

.jobs-img {
    width: 80%;
    object-fit: cover;
}

.message {
    width: 90%;
}

.contact-left {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 20px;

}

.contact-inputs {
    width: 100%;
    height: 50px;
    border: none;
    outline: none;
    padding-left: 25px;
    font-weight: 400;
    color: var(--secondary-color);
    border-radius: 10px;
    font-size: 16px;
}

.contact-inputs:focus {
    border: 3px solid var(--secondary-color);
}

.contact-inputs::placeholder {
    color: var(--soap-color);
}

.contact-left textarea {
    height: 140px;
    padding-top: 15px;
    border-radius: 10px;
}

.contact-left button {
    display: flex;
    align-items: center;
    padding: 15px 30px;
    font-size: 20px;
    color: var(--primary-color);
    gap: 10px;
    border: none;
    border-radius: 10px;
    background: var(--secondary-color);
    cursor: pointer;
    font-weight: 700;
    transition: 0.2s;
}

.contact-left button:hover {
    background-color: var(--water-color);
    color: var(--dust-color);
    font-size: 18px;
}

/*----------------------------- BANNER -----------------------------*/

.top-spacing {
    width: 100%;
    justify-content: center;
    background: var(--light-color);
}

.banner {
    margin: 70px auto;
    width: 90%;
    display: flex;
    overflow-x: auto;
}

.banner::-webkit-scrollbar {
    display: none;
}

.group {
    display: flex;
    align-items: center;
    justify-content: center;
    /* gap: 10px; */
    animation: spin 20s infinite linear;
    /* padding-right: 10px; */
}

.banner-card {
    flex: 0 0 400px;
    height: 200px;
    align-content: center;
    border-radius: 10px;
}


/*----------------------------- ANIMATION -----------------------------*/

@keyframes rotate {
    from {
        transform: rotateZ(0deg);
    }
    to {
        transform: rotateZ(360deg);
    }
}

@keyframes spin {
    from {translate: 0;}
    to {translate: -100%;}
}

/*----------------------------- MEDIA QUERY -----------------------------*/

@media (max-width: 2500px) {
    .hero {
    background: linear-gradient(
        to right,
        #8c9cbe 0%,
        #8c9cbe 50%,
        #e6e3d2 50%,
        #e6e3d2 100%
        )
    }
}

@media (max-width: 1700px) {
        .hero {
    background: linear-gradient(
        to right,
        #8c9cbe 0%,
        #8c9cbe 80%,
        #e6e3d2 80%,
        #e6e3d2 100%
        )
    }

    .hero .container {
        width: 100%;
    }

    .hero {
        background: #8c9cbe ;
    }

    .intro-left {
        height: 50%;
    }

    .intro-right {
        height: 50%;
    }
}

@media (max-width: 1024px) {
    .menu-btn {
        display: none;
    }

    .gallery-logo {
        width: 100%;
    }

    .gallery-wrap {
        width: 90%;
    }

    .card {
        flex: 0 0 50%;
    }

    .menu-button {
        display: block;
        cursor: pointer;
    }
    
}

@media (max-width: 768px) {
    .hideOnMobile {
        display: none;
    }

    .hero-bg {
        width: 100%;
    }

    .btd-wishlist {
        width: 150px;
        height: 150px;
        margin-bottom: 140px;
    }

    .btd-logo {
        padding-top: 30px;
    }

    .hero .container {
        position: relative;
        overflow: hidden;
        width: 100%;
        background: url(hero-background-mobile.jpg) no-repeat;
    }

    .hero-overlay {
        display: block;
        position: absolute;
        inset: 0;
    }

    .hero-left {
        display: none;
    }

    .hero-right {
        justify-content: space-between;
        width: 100%;
    }

    .intro .container {
        width: 100%;
    }

    .card1 .container {
        width: 100%;
    }

    .card2 .container {
        width: 100%;
    }

    .about .container {
        width: 100%;
    }

    .card {
        flex: 0 0 100%;
    }

    .sidebar {
        width: 100%;
    }

}